> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dojah.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup CAC

> This endpoint to fetch and verify SMEs, corporate organizations and individuals using Corporate Affairs Commission (CAC)

### What is CAC?

It is a certificate that shows that a company is registered and exist in a country

<ParamField header="AppId" type="string" required>
  Application ID from dashboard
</ParamField>

#### Query parameter

<ParamField query="rc_number" type="string" required>
  CAC Registration Number
</ParamField>

<ParamField query="company_type" type="string" required>
  company type
</ParamField>

#### RESPONSES

<ResponseField name="200" type="json">
  json
</ResponseField>

<ResponseField name="400" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="401" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
      "entity": {
          "company_name": "JOHN DOE LIMITED",
          "type_of_company": "BUSINESS_NAME",
          "address": "25A James Street Magodo Phase I, Lagos, Nigeria.",
          "status": "Not Active",
          "date_of_registration": "2021-03-18T09:53:20.310+00:00",
          "rc_number": "1234567",
          "business_number": "1234567",
          "email": "ABC@GMAIL.COM",
          "state": "Lagos",
          "city": "Lagos",
          "lga": "Kosofe",
          "business": "7a666454-8ce0-44e2-ac32-3e8cb04b6b72"
      }
  }
  ```

  ```json 400 theme={null}
  {
    "error": "Invalid request parameters"
  }
  ```

  ```json 401 theme={null}
  {
    "error": "App Couldn't be Validated"
  }
  ```
</ResponseExample>
